// creator  : weidu.exe (version 23100)
// argument : FLAMC7.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~FLAMC7~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF ~~ THEN BEGIN 0 // from:
  SAY #2235 /* ~What about your wings? You said he healed them?~ */
  IF ~~ THEN REPLY #2258 /* ~Hobgoblin Captain
~ */ GOTO 4
  IF ~~ THEN REPLY #2259 /* ~Hobgoblin Captain~ */ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 2.0 0.1
  SAY #2236 /* ~I'm making your grieving more difficult. I should go. Perhaps we shall meet again in better times.~ */
  IF ~~ THEN REPLY #2260 /* ~Hi, <CHARNAME>. Uncle Quayle told me you'd be back...~ */ GOTO 4
  IF ~~ THEN REPLY #2261 /* ~Hobgoblin Shaman~ */ EXIT
END

IF ~~ THEN BEGIN 2 // from:
  SAY #2237 /* ~Please hurry. I worry after him so.~ */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 3 // from:
  SAY #2238 /* ~Bruenor~ */
  IF ~~ THEN REPLY #2248 /* ~I... I think you need to find out, my dear.  I've taught you everything I can.  It's time, Aerie... time for you to learn the rest on your own.~ */ DO ~Enemy()
~ EXIT
  IF ~~ THEN REPLY #2249 /* ~You're the wisest and the smartest and the kindest man I'll ever know.~ */ GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.1 1.0 0.0
  SAY #2239 /* ~Bruenor~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 /* Triggers after states #: 13 even though they appear after this state */
~True()
~ THEN BEGIN 5 // from:
  SAY #2240 /* ~revert~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #2241 /* ~rest until healed~ */
  IF ~~ THEN REPLY #2250 /* ~I wasn't always, my dear.  You changed that.  But I can't keep you here.  <CHARNAME>... you can provide for her better than I.  Perhaps you will take her with you?~ */ GOTO 7
  IF ~~ THEN REPLY #2251 /* ~Aerie, should you be willing, we would appreciate a cleric/mage with your heart and stature.~ */ DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #2242 /* ~Enable this option to cast healing spells on resting repeatedly until fully healed.  Otherwise currently memorized healing spells are cast once on resting.

Note: This option does not work in multiplayer games.~ */
  IF ~~ THEN REPLY #2252 /* ~There is no room for her at my side, right now at least. Perhaps another time.~ */ DO ~Enemy()
~ EXIT
  IF ~~ THEN REPLY #2253 /* ~You would... You would have me travel with you? I would love to but... Oh Quayle, I would miss you!~ */ DO ~StartCutScene("Capcut01")
~ EXIT
END

IF ~~ THEN BEGIN 8 // from:
  SAY #2243 /* ~Gnoll Captain
~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 9 // from:
  SAY #2244 /* ~Hobgoblin Witch Doctor
~ */
  IF ~~ THEN REPLY #2254 /* ~Then you shall have to come and visit me from time to time and tell me what you've learned.  Go... go with my blessing, girl.~ */ GOTO 10
  IF ~~ THEN REPLY #2255 /* ~... Alright. Take--Take care of the circus while I'm away.~ */ GOTO 15
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #2245 /* ~Uncle Quayle, you're okay!~ [AERIEB6] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 11 // from:
  SAY #2246 /* ~Ha!  I knew Kalah would trip over himself, eventually.  I'm just pleased he despised me enough to play with me rather than dispose of me like some of the others!~ */
  IF ~~ THEN REPLY #2256 /* ~Oh, don't worry about me.  If you find happiness, maybe the pain of losing your wings will be lessened... nothing would please me more.  Be well, my Aerie.~ */ EXIT
  IF ~~ THEN REPLY #2257 /* ~Come... Come back and visit, then.  Maybe you'll have need of me in the future and I could travel with you.  I'd like that.~ */ EXIT
END

IF ~~ THEN BEGIN 12 // from:
  SAY #2247 /* ~What would I ever do without you?~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 13 // from:
  SAY #6939 /* ~Greater Command (Enchantment/Charm) 
Level: 5
Sphere: Charm 
Range: Visual range of caster 
Duration: 1 round/level of caster
Casting Time: 1
Area of Effect: 20 ' radius
Saving Throw: Neg.

As with the first level spell 'Command', this spell enables the priest to command other creatures to "die" (sleep), except that the effects of this spell last for one round per caster level.  At the end of the round the creature(s) awaken and are unharmed.  The area of effect is similar to that of a stinking cloud or a fireball.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 14 // from:
  SAY #9018 /* ~This is not over! I will deal with you later!~ [DERILX08] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 15 // from: 9.1
  SAY #16994 /* ~Who is this High Merchant?~ */
  IF ~~ THEN DO ~~ EXIT
END
